import { MENU_ITEM_TYPE } from "../../interface/MenuItem";

const BUTTON_HANDLE_METADATA_KEY = Symbol("BUTTON_HANDLE_KEY")

/**
 * @ButtonHandler
 * 按钮
 * @param target 类本身
 */
export function ButtonHandler<T>(target: T): void {
    Reflect.defineMetadata(BUTTON_HANDLE_METADATA_KEY, MENU_ITEM_TYPE.BUTTON, target);
}
